Bug 441443 - slave path expected in /var/lib/alternatives/java
slave path expected in /var/lib/alternatives/java
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: chkconfig (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 01:14 EDT by Joe W. Byers
Modified: 2014-03-16 23:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 07:15:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe W. Byers 2008-04-08 01:14:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b4pre) Gecko/2008030315 Red Hat/3.0b4pre-0.beta3.4.el5 Minefield/3.0b4pre

Description of problem:
 I execute the following and then receive the error message
# alternatives --verbose --auto java
reading /var/lib/alternatives/java
slave path expected in /var/lib/alternatives/java


Is there any way to determine the line number in /var/lib/alternatives/java where the error occured?

This would be a great benefit.

Thank you

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.corrupt /var/lib/alternatives/java
2.execute alternatives --verbose --display java
3.

Actual Results:


Expected Results:


Additional info:
Comment 1 Matt Wringe 2008-04-08 11:30:21 EDT
Reassigning to proper component: chkconfig
JDepend is a java class library for determining java code design quality.
Comment 7 Bill Nottingham 2009-09-29 16:22:55 EDT
http://git.fedorahosted.org/git/?p=chkconfig.git;a=commitdiff;h=5beae4aa19b588daf2011b2335eb17810718b738

is the upstream commit that adds more context to various errors.
Comment 9 Bill Nottingham 2009-11-02 14:27:24 EST
Building as 1.3.30.2-1.el5.
Comment 13 errata-xmlrpc 2009-12-02 07:15:19 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1628.html

Note You need to log in before you can comment on or make changes to this bug.